#!/bin/sh

script=$@

. $_MKCONFIG_DIR/shellfuncs.sh
testshcapability

echo ${EN} "if${EC}" >&5
grc=0
count=1

dosh=T
case $script in
  *.pl)
    dosh=F
    ;;
esac

if [ "$dosh" = "T" ]; then
  echo ${EN} " ${EC}" >&5
  for s in $shelllist; do
    unset _shell
    unset shell
    cmd="$s -c \". $_MKCONFIG_DIR/shellfuncs.sh;getshelltype;echo \\\$shell\""
    ss=`eval $cmd`
    if [ "$ss" = "sh" ]; then
      ss=`echo $s | sed 's,.*/,,'`
    fi
    echo ${EN} "${ss} ${EC}" >&5
    echo "## testing with ${s} "
    _MKCONFIG_SHELL=$s
    export _MKCONFIG_SHELL
    shell=$ss

    eval "${s} ${script} -C ${_MKCONFIG_RUNTESTDIR}/if_c.dat"
    for t in \
        _var_a _var_b \
        _test_b1_ok _test_b2_ok _test_b3_ok _test_b4_ok \
        _test_a1_ok _test_a2_ok _test_a3_ok _test_a4_ok _test_a5_ok \
        _test_o1_ok _test_o2_ok _test_o3_ok _test_o4_ok \
            _test_o5_ok _test_o6_ok \
        _test_m1_ok _test_m2_ok \
        _test_n1_ok _test_n2_ok _test_n3_ok _test_n4_ok \
            _test_n5_ok _test_n6_ok \
        ; do
      echo "chk: $t (1)"
      grep "^#define ${t} 1$" if_c.ctest
      rc=$?
      if [ $rc -ne 0 ]; then grc=$rc; fi
    done

    mv if_c.ctest if_c.ctest.${count}
    mv mkconfig.log mkconfig.log.${count}
    mv mkconfig.cache mkconfig.cache.${count}
    mv mkconfig_c.vars mkconfig_c.vars.${count}
    domath count "$count + 1"
  done
else
  eval "${script} -C ${_MKCONFIG_RUNTESTDIR}/if_c.dat"
  for t in \
        _var_a _var_b \
        _test_b1_ok _test_b2_ok _test_b3_ok _test_b4_ok \
        _test_a1_ok _test_a2_ok _test_a3_ok _test_a4_ok _test_a5_ok \
        _test_o1_ok _test_o2_ok _test_o3_ok _test_o4_ok \
            _test_o5_ok _test_o6_ok \
        _test_m1_ok _test_m2_ok \
        _test_n1_ok _test_n2_ok _test_n3_ok _test_n4_ok \
            _test_n5_ok _test_n6_ok \
        ; do
    echo "chk: $t (1)"
    grep "^#define ${t} 1$" if_c.ctest
    rc=$?
    if [ $rc -ne 0 ]; then grc=$rc; fi
  done
fi

exit $grc
